summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-admin/logstash-bin/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-admin/logstash-bin/files')
-rw-r--r--app-admin/logstash-bin/files/agent.conf.sample21
-rw-r--r--app-admin/logstash-bin/files/logstash.confd2
-rw-r--r--app-admin/logstash-bin/files/logstash.initd33
-rw-r--r--app-admin/logstash-bin/files/logstash.logrotate6
4 files changed, 62 insertions, 0 deletions
diff --git a/app-admin/logstash-bin/files/agent.conf.sample b/app-admin/logstash-bin/files/agent.conf.sample
new file mode 100644
index 000000000000..9d125cd6a25e
--- /dev/null
+++ b/app-admin/logstash-bin/files/agent.conf.sample
@@ -0,0 +1,21 @@
+input {
+ stdin {
+ type => "stdin"
+ }
+
+ file {
+ type => "syslog"
+ path => [ "/var/log/*.log", "/var/log/debug", "/var/log/messages", "/var/log/syslog" ]
+ }
+}
+
+output {
+ stdout {
+ codec => rubydebug
+ }
+
+ elasticsearch {
+ host => localhost
+ cluster => elasticsearch
+ }
+}
diff --git a/app-admin/logstash-bin/files/logstash.confd b/app-admin/logstash-bin/files/logstash.confd
new file mode 100644
index 000000000000..29f4d1c016ae
--- /dev/null
+++ b/app-admin/logstash-bin/files/logstash.confd
@@ -0,0 +1,2 @@
+#LOGSTASH_USER=""
+#LOGSTASH_GROUP=""
diff --git a/app-admin/logstash-bin/files/logstash.initd b/app-admin/logstash-bin/files/logstash.initd
new file mode 100644
index 000000000000..08b063fe7044
--- /dev/null
+++ b/app-admin/logstash-bin/files/logstash.initd
@@ -0,0 +1,33 @@
+#!/sbin/openrc-run
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+LOGSTASH_USER=${LOGSTASH_USER:-root}
+LOGSTASH_GROUP=${LOGSTASH_GROUP:-root}
+LOGFILE="/var/log/logstash/logstash.log"
+
+command="/opt/logstash/bin/logstash"
+command_args="agent --config /etc/logstash/conf.d/*.conf --log ${LOGFILE}"
+extra_commands="checkconfig"
+command_background="true"
+start_stop_daemon_args="--user=\"${LOGSTASH_USER}\""
+pidfile="/run/logstash/logstash.pid"
+
+depend() {
+ use net
+ after elasticsearch
+}
+
+checkconfig() {
+ ebegin "Checking your configuration"
+ ${command} ${command_args} --configtest
+ eend $? "Configuration error. Please fix your configuration files."
+}
+
+start_pre() {
+ checkconfig || return 1
+
+ checkpath -d -o "${LOGSTASH_USER}":"${LOGSTASH_GROUP}" -m750 "$(dirname "${pidfile}")"
+ checkpath -d -o "${LOGSTASH_USER}":"${LOGSTASH_GROUP}" -m750 "$(dirname "${LOGFILE}")"
+ checkpath -f -o "${LOGSTASH_USER}":"${LOGSTASH_GROUP}" -m640 "${LOGFILE}"
+}
diff --git a/app-admin/logstash-bin/files/logstash.logrotate b/app-admin/logstash-bin/files/logstash.logrotate
new file mode 100644
index 000000000000..013c8ea921b9
--- /dev/null
+++ b/app-admin/logstash-bin/files/logstash.logrotate
@@ -0,0 +1,6 @@
+/var/log/logstash/*.log {
+ copytruncate
+ compress
+ missingok
+ notifempty
+}